import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import type { Context } from '../../types/context';
import { AddConfigurableProductsToCartInput, AddConfigurableProductsToCartMutation } from '../../types/GraphQL';
/**
 * Adds a set of configurable products to a specified cart
 * @param context VSF Context
 * @param input ID of the cart and products to be added
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 */
export default function addConfigurableProductsToCart(context: Context, input: AddConfigurableProductsToCartInput, customQuery?: CustomQuery): Promise<FetchResult<AddConfigurableProductsToCartMutation>>;
