import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import type { Context } from '../../types/context';
import { ApplyCouponToCartInput, ApplyCouponToCartMutation } from '../../types/GraphQL';
/**
 * Applies a coupon to a given card
 * @param context VSF context
 * @param input ID of the card and coupon to apply
 * @param customQuery custom GraphQL query that extends the default one
 */
export default function applyCouponToCart(context: Context, input: ApplyCouponToCartInput, customQuery?: CustomQuery): Promise<FetchResult<ApplyCouponToCartMutation>>;
