import { ApolloQueryResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { CategoryListQuery, CategoryListQueryVariables } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Fetches the category list.
 *
 * @param context VSF Context
 * @param params
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 */
export default function categoryList(context: Context, params: CategoryListQueryVariables, customQuery?: CustomQuery): Promise<ApolloQueryResult<CategoryListQuery>>;
