import { ApolloQueryResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { CategorySearchQuery, CategorySearchQueryVariables } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Searches for categories using received filters.
 *
 * @param context VSF Context
 * @param filters filters used to search for categories. A filter contains at
 * least one attribute, a comparison operator, and the value that is being
 * searched for.
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 */
export default function categorySearch(context: Context, filters: CategorySearchQueryVariables, customQuery?: CustomQuery): Promise<ApolloQueryResult<CategorySearchQuery>>;
