import { ApolloQueryResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { CmsBlockQuery } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Fetch CMS Blocks from Magento Api.
 *
 * @param context - VSF Context
 * @param identifiers - identifiers of CMS blocks
 * @param [customQuery] - (optional) - custom GraphQL query that extends the default cmsBlocks query
 */
export default function getCmsBlocks(context: Context, identifiers: string, customQuery?: CustomQuery): Promise<ApolloQueryResult<CmsBlockQuery>>;
