import { ApolloQueryResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { CmsPageQuery } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Fetch CMS Page from Magento
 * @param context - VSF Context
 * @param identifier - identifier of CMS page
 * @param customQuery - (optional) - custom query that extends default cmsPage GraphQL query
 */
export default function getCmsPage(context: Context, identifier: string, customQuery?: CustomQuery): Promise<ApolloQueryResult<CmsPageQuery>>;
