import { ApolloQueryResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { CountriesListQuery } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Loads the list of countries
 * @param context VSF Context
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 */
export default function countries(context: Context, customQuery?: CustomQuery): Promise<ApolloQueryResult<CountriesListQuery>>;
