import { ApolloQueryResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { CountryInformationQuery } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Fetches the information about a country given its ID
 * @param context VSF Context
 * @param id ID of the country to be fetched
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 */
export default function country(context: Context, id: string, customQuery?: CustomQuery): Promise<ApolloQueryResult<CountryInformationQuery>>;
