import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { CreateCustomerAddressMutation, CustomerAddressInput } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Creates a customer address.
 *
 * @param context VSF Context
 * @param input new customer address data
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 */
export default function createCustomerAddress(context: Context, input: CustomerAddressInput, customQuery?: CustomQuery): Promise<FetchResult<CreateCustomerAddressMutation>>;
