import { ApolloQueryResult } from '@apollo/client/core';
import type { CustomQuery } from '@vue-storefront/core';
import type { Context } from '../../types/context';
import type { CustomerCartQuery } from '../../types/GraphQL';
/**
 * Fetches the cart of the current logged in user
 * @param context VSF context
 * @param customQuery custom GraphQL query that extends the default one
 */
export default function customerCart(context: Context, customQuery?: CustomQuery): Promise<ApolloQueryResult<CustomerCartQuery>>;
