import { ApolloQueryResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { Context } from '../../types/context';
import type { GuestAvailablePaymentMethodsQuery } from '../../types/GraphQL';
/**
 * Fetches the available payment methods for the received cart.
 *
 * @param context VSF context
 * @param params params containing the cart's ID
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 */
export default function getAvailablePaymentMethods(context: Context, params: {
    cartId: string;
}, customQuery?: CustomQuery): Promise<ApolloQueryResult<GuestAvailablePaymentMethodsQuery>>;
