import { ApolloQueryResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { ProductsListQuery } from '../../types/GraphQL';
import { Context } from '../../types/context';
import { GetProductSearchParams } from '../../types/API';
/**
 * Fetches products using received search term and params for filter, sort and
 * pagination.
 *
 * @param context VSF context
 * @param searchParams search term and params for filter, sort and pagination
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 */
export default function products(context: Context, searchParams?: GetProductSearchParams, customQuery?: CustomQuery): Promise<ApolloQueryResult<ProductsListQuery>>;
