import type { ApolloQueryResult } from '@apollo/client/core';
import type { CustomQuery } from '@vue-storefront/core';
import type { RelatedProductQuery } from '../../types/GraphQL';
import type { Context } from '../../types/context';
import type { GetProductSearchParams } from '../../types/API';
/**
 * Searches for related products using params for sorting, filtering and
 * pagination.
 *
 * @param context VSF context
 * @param searchParams params for sorting, filtering and pagination
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 */
export default function relatedProduct(context: Context, searchParams?: GetProductSearchParams, customQuery?: CustomQuery): Promise<ApolloQueryResult<RelatedProductQuery>>;
