import { FetchResult } from '@apollo/client/core';
import type { CustomQuery } from '@vue-storefront/core';
import type { Context } from '../../types/context';
import { RemoveItemFromCartInput, RemoveItemFromCartMutation } from '../../types/GraphQL';
/**
 * Removes an item from the given cart
 * @param context VSF context
 * @param input ID of the cart and item to be removed from it
 * @param customQuery custom GraphQL query that extends the default one
 */
export default function removeItemFromCart(context: Context, input: RemoveItemFromCartInput, customQuery?: CustomQuery): Promise<FetchResult<RemoveItemFromCartMutation>>;
