import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { ResetPasswordMutation, ResetPasswordMutationVariables } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Resets a user's password
 * @param context VSF Context
 * @param input Params used to reset a user's password
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 */
export default function resetPassword(context: Context, input: ResetPasswordMutationVariables, customQuery?: CustomQuery): Promise<FetchResult<ResetPasswordMutation>>;
