import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { SetGuestEmailOnCartInput, SetGuestEmailOnCartMutation } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Set the guest user email on the cart
 * @param context VSF Context
 * @param input Variables to set guest email
 * @param [customQuery] (optional) - Custom query that will extend default one
 */
export default function setGuestEmailOnCart(context: Context, input: SetGuestEmailOnCartInput, customQuery?: CustomQuery): Promise<FetchResult<SetGuestEmailOnCartMutation>>;
