import type { FetchResult } from '@apollo/client/core';
import type { CustomQuery } from '@vue-storefront/core';
import type { SetShippingAddressesOnCartInput, SetShippingAddressesOnCartMutation } from '../../types/GraphQL';
import type { Context } from '../../types/context';
/**
 * Sets a shipping address on received cart.
 *
 * @param context VSF context
 * @param input params with cart ID and shipping address.
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 */
export default function setShippingAddressesOnCart(context: Context, input: SetShippingAddressesOnCartInput, customQuery?: CustomQuery): Promise<FetchResult<SetShippingAddressesOnCartMutation>>;
