import type { FetchResult } from '@apollo/client/core';
import type { CustomQuery } from '@vue-storefront/core';
import type { SetShippingMethodsOnCartInput, SetShippingMethodsOnCartMutation } from '../../types/GraphQL';
import type { Context } from '../../types/context';
/**
 * Sets a shipping method on received cart.
 *
 * @param context VSF context
 * @param input params with cart ID and shipping method.
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 */
export default function setShippingMethodsOnCart(context: Context, input: SetShippingMethodsOnCartInput, customQuery?: CustomQuery): Promise<FetchResult<SetShippingMethodsOnCartMutation>>;
