import { ApolloQueryResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import { StoreConfigQuery } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Fetches the store configuration from the API
 * @param context VSF Context
 * @param [customQuery] (optional) - custom GraphQL query that extends the default one
 */
export default function storeConfig(context: Context, customQuery?: CustomQuery): Promise<ApolloQueryResult<StoreConfigQuery>>;
