import { FetchResult } from '@apollo/client/core';
import { CustomQuery } from '@vue-storefront/core';
import type { SubscribeEmailToNewsletterMutation, SubscribeEmailToNewsletterMutationVariables } from '../../types/GraphQL';
import { Context } from '../../types/context';
/**
 * Subscribes an email in the newsletter.
 * @param context VSF context
 * @param input params with the email to subscribe
 * @param [customQuery] (optional) - custom GraphQL query that extends the default query
 */
export default function subscribeEmailToNewsletter(context: Context, { email }: SubscribeEmailToNewsletterMutationVariables, customQuery?: CustomQuery): Promise<FetchResult<SubscribeEmailToNewsletterMutation>>;
