import { FetchResult } from '@apollo/client/core';
import type { CustomQuery } from '@vue-storefront/core';
import type { Context } from '../../types/context';
import { UpdateCartItemsInput, UpdateCartItemsMutation } from '../../types/GraphQL';
/**
 * Updates the contents of the given cart
 * @param context VSF context
 * @param input ID of the cart and the items to update it
 * @param customQuery custom GraphQL query that extends the default one
 */
export default function updateCartItems(context: Context, input: UpdateCartItemsInput, customQuery?: CustomQuery): Promise<FetchResult<UpdateCartItemsMutation>>;
